Skip to main content
GET
/
api
/
v1
/
dynamic-tools
List user dynamic tools
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/dynamic-tools \
  --header 'Authorization: Bearer <token>'
{
  "tools": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "handler_export": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "input_schema": {},
      "name": "<string>",
      "pinned": true,
      "source_code": "<string>",
      "timeout_ms": 123,
      "tool_id": "<string>",
      "toolkit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "toolkit_slug": "<string>",
      "output_schema": {},
      "tags": [
        "<string>"
      ],
      "updated_at": "2023-11-07T05:31:56Z",
      "when_to_use": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

toolkit_id
string

Filter to a specific toolkit slug

Response

200 - application/json

Tools

tools
object[]
required
total
integer
required